#!/bin/sh
# /home/abacus/C2/danholav.sh - ABACUS operator interface 
# the next line restarts using wish \
exec wish "$0" "$@" -geometry +0+0
########################################################################
#
# BIP ABACUS 
#
# Initial version 980907
# 
# 
########################################################################

Pic copy Pic_bip-menu
catch { source ./bip-shared.tcl }

button $w.p.ti_hem1  -bitmap @./MCH-Konsulting-small-bw-1.xbm \
  -command { change_to bip-menu }
place $w.p.ti_hem1 -x 0 -y 0 

button $w.p.ti_hem2  -bitmap @./MCH-Konsulting-small-bw-2.xbm \
  -command { change_to bip-evaporat }
place $w.p.ti_hem2 -x 48 -y 0 

button $w.p.ti_prev -bitmap @./big_left_button.xbm \
  -command { change_to bip-specialy }
place $w.p.ti_prev -x 113 -y 0 

button $w.p.ti_next -bitmap @./big_right_button.xbm\
  -command { change_to bip-services }
place $w.p.ti_next -x 148 -y 0
 
button $w.p.tib10101 -text "RESET ALARMS"\
  -command { entry_stuff_0_1 b10101 "Reset Alarms" 10101 "reset"   "do not reset" } 
place $w.p.tib10101 -x 260 -y 0 


############## This is the main dynamic data updating proc ##################
#
#
#

set six  15		
set spx 190		
set unx 260		
set rax 325		
set s1x 420		
set s2x 520		

proc update0 {} {
	global w lfont fg bg NODE
	global six spx unx rax s1x s2x

 	global fulltime halftime time_taken
 	
	if { [winfo viewable .] } {

	   set time_taken [ time	{
		get_values

### FORMULA SETUP###	
#set lfont {courier 12 bold}
#set lfont {helvetica 12 normal}
set lfont {helvetica 10 normal}
	catch { state_text_2 b10069  210 60 [vn 10069] "NOT ACCEPTED" white red " ACCEPTED " black green } ;#

set lfont {courier 10 normal}
	catch { text_item b10095 210 105 "%7.0f "  [ra 10095] } ;#

set lfont {helvetica 10 normal}
	catch { state_text_2 b10247 210 120 [vn 10247] "NOT SELECTED" white red " SELECTED " black green } ;#
	catch { state_text_2 b10115 210 140 [vn 10115] " B " white red " A " black green } ;#
	catch { state_text_2 b10249 210 160 [vn 10249] " P5 " white red " P4 " black green } ;#
	catch { state_text_2 b10256 210 180 [vn 10256] "NOT SELECTED" white red " SELECTED " black green } ;#
	catch { state_text_2 b10259 210 200 [vn 10259] " COLD " white red " HOT " black green } ;#
	catch { state_text_2 b10288 210 220 [vn 10288] " Y/N " white red " Y/N " black green } ;#

#	catch { state_text_2 b10101 210 220 [vn 10101] " Y/N " white red " Y/N " black green } ;#

set lfont {courier 10 normal}
	catch { text_item b10091  210 273 "%7.0f "  [ra 10091] } ;# FIC7.SP.
	catch { text_item b10088  265 273 "%7.0f "  [ra 10088] } ;# FIC7.MV.

	catch { text_item b10214  210 289 "%7.2f "  [ra 10214] } ;# PIC39.SP.
	catch { text_item b10211  265 289 "%7.2f "  [ra 10211] } ;# PIC39.MV.

	catch { text_item b10224  210 305 "%7.0f "  [ra 10224] } ;# PIC40.SP.
	catch { text_item b10220  265 305 "%7.0f "  [ra 10220] } ;# PIC40.MV.

	catch { text_item b10265  210 321 "%7.0f "  [ra 10265] } ;# TI23.SP.
	catch { text_item b10264  265 321 "%7.0f "  [ra 10264] } ;# TI23.MV.

	catch { text_item b10234  210 353 "%7.2f "  [ra 10234] } ;# PIC41.SP.
	catch { text_item b10231  265 353 "%7.2f "  [ra 10231] } ;# PIC41.MV.

	catch { text_item b10244  210 369 "%7.0f "  [ra 10244] } ;# PIC42.SP.
	catch { text_item b10240  265 369 "%7.0f "  [ra 10240] } ;# PIC42.MV.

	catch { text_item b10269  210 385 "%7.0f "  [ra 10269] } ;# TI26.SP.
	catch { text_item b10268  265 385 "%7.0f "  [ra 10268] } ;# TI26.MV.

	catch { text_item b10285  210 415 "%7.0f "  [ra 10285] } ;# TIC22.SP.
	catch { text_item b10282  265 415 "%7.0f "  [ra 10282] } ;# TIC22.MV.

### SERVICES CONTROL ###
	catch { state_text_2 b10258  506 55 [vn 10258] "NOT READY" white red " READY " black green } ;# BIP1:SERVICES.READY.
	catch { state_text_2 Startup   506  75 0 " * " blue yellow " * " black green  } ;# Startup
	catch { state_text_2 Shutdown  506  95 0 " * " blue yellow " * " black green  } ;# Shutdown
	catch { state_text_2 V_Pumps   506 115 0 " * " blue yellow " * " black green  } ;# V_Pumps
	
	catch { state_text_2 b10257  546 75 [vn 10257] "    -    " red grey " STARTED " black green } ;# BIP1:SERVICE.START.


### PROCESS CONTROL ###
	catch { state_text_2 b10246  506 205 [vn 10246] "NOT RUNNING" white green " RUNNING " black red } ;# BIP1:PLANT.READY.

	catch { state_text_2 StartProcess  506 229 0 " * " blue yellow " * " black green } ;# BIP1:
	catch { state_text_2 b10248  546 229 [vn 10248] "    -    " red grey " STARTED " black green } ;# BIP1:PROCESS.START.
	catch { state_text_2 b10312  506 245 [vn 10312] " NO " white red " YES " black green } ;# BIP1:V17.BLEND.FB

	catch { text_item b10254  506 310 "%7.0f mins"  [ra 10254] } ;# BIP1:RUNTIME.02.

	catch { text_item b10407  506 390 "%7.0f mins"  [ra 10407] } ;# BIP1:WASH.TIME.02
	
	catch { state_text_2 IntShut    506 325 0 " * " blue yellow " * " black green } ;# BIP1:
	catch { state_text_2 b10119  546 325 [vn 10119] "   -    " red grey " ACTIVE " black green } ;# BIP1:INTERMED.SHUT.
	catch { state_text_2 FullShut   506 340 0 " * " blue yellow " * " black green } ;# BIP1:
	catch { state_text_2 b10106  546 340 [vn 10106] "   -    " red grey " ACTIVE " black green } ;# BIP1:FULL.SHUT.
	catch { state_text_2 StopEmerg  506 355 0 " * " blue yellow " * " black green } ;# BIP1:

	catch { state_text_2 b10156  506 395 [vn 10156] " STOPPED " white green " RUNNING " black red } ;# BIP1:P1.FB.
	catch { state_text_2 b10177  506 410 [vn 10177] " STOPPED " white green " RUNNING " black red } ;# BIP1:P2.FB.
	
		}]
	  }

################# Here we queue up this proc again ##########################

##
	show_time $time_taken
	catch { after cancel update0 }
	after $fulltime update0
	}


set bg	#D0D0D0
set bg	grey70
set fg  MidnightBlue
set fg	yellow
set fg	darkgreen
set fg	black
set fg	darkblue
 	
set lfont {courier 12 normal}
set lfont {courier 12 bold}

update0
update idletasks
#								blk_acb blk_sp blk_hl blk_ll blk_ar blk_st blk_ut
# catch { $w.p.tib5312   configure -command { entry_stuff_multi_ut  8993  0      0      0      0     0       0   } }


 catch { $w.p.tib10069  configure -command { entry_stuff_2_2 b10069 "Formula Status" 10592 "REJECT"  10606 "ACCEPT" } }

 catch { $w.p.tib10095  configure -command { entry_stuff_multi_ut 8095 8095 0 0 0 0 0 } }

##catch { $w.p.tib10256   configure -command { entry_stuff_0_1 b10256 "Start Hot Wash " 10256 " YES "   " NO " } }

catch { $w.p.tib10247  configure -command { entry_stuff_0_1 b10247 "Preheat Select" 10247 "select"   "do not select" } }
#catch { $w.p.tib10115  configure -command { entry_stuff_0_1 b10115 "Feed Tank Sel" 10592 " B "   " A " } }
 catch { $w.p.tib10249  configure -command { entry_stuff_0_1 b10249 "Feed Pump Select" 10249 " P4 "   " P5 " } }
#catch { $w.p.tib10256  configure -command { entry_stuff_0_1 b10256 "Hot Wash Select" 10592 "select"   "do not select" } }
 catch { $w.p.tib10259  configure -command { entry_stuff_0_1 b10259 "Shutdown Select" 10259 " hot "   " cold " } }
 catch { $w.p.tib10288  configure -command { entry_stuff_0_1 b10288 "Reset Totalizers" 10288 "reset"   "do not reset" } }


 catch { $w.p.tib10091  configure -command { face_plate 10088 10091 10089 10586 10093 3000.0 0.0 1   "LOOP VIEW" "BIP1:FIC7."  } }
 catch { $w.p.tib10265  configure -command { face_plate 10264 10265     0     0     0  100.0 0.0 0.1 "LOOP VIEW" "BIP1:TI23. "  } }
 catch { $w.p.tib10269  configure -command { face_plate 10268 10269     0     0     0  100.0 0.0 0.1 "LOOP VIEW" "BIP1:TI26. "  } }
 catch { $w.p.tib10214 configure -command { face_plate 10211 10214 10212 10582 10216  6.0 0.0 0.01  "LOOP VIEW" "BIP1:PIC39. "  } }
 catch { $w.p.tib10234 configure -command { face_plate 10231 10234 10232 10584 10236  6.0 0.0 0.01  "LOOP VIEW" "BIP1:PIC41."  } }
 catch { $w.p.tib10282 configure -command { face_plate 10282 10285 10283 10591 10286  50.0 0.0 0.1  "LOOP VIEW" "BIP1:TIC22."  } }
 catch { $w.p.tib10244 configure -command { face_plate 10240 10244 10241 10585 10245 1500.0 0.0 0.1 "LOOP VIEW" "BIP1:PIC42."  } }
 catch { $w.p.tib10224 configure -command { face_plate 10220 10224 10221 10583 10225 1500.0 0.0 0.1 "LOOP VIEW" "BIP1:PIC40."  } }



#	catch { state_text_2 b10246  506 205 [vn 10246] "NOT RUNNING" white red " RUNNING " black green } ;# BIP1:PLANT.READY.
#	catch { state_text_2 b10312  506 245 [vn 10312] " NO " white red " YES " black green } ;# BIP1:V17.BLEND.FB
 catch { $w.p.tib10312  configure -command { entry_stuff_0_1 b10288 "Resin to Blender" 10595 " yes "   " no " } }


 catch { $w.p.tiStartProcess  configure -command { entry_stuff_0_1 b10594 "Start Process" 10594 "START"   "do not start" } }
#

 catch { $w.p.tiIntShut    configure -command { entry_stuff_0_1 b10594 "Intermediate Shutdown" 10596 " YES "   " NO " } }
 catch { $w.p.tiFullShut   configure -command { entry_stuff_0_1 b10594 "Full Shutdown"         10597 " YES "   " NO " } }
 catch { $w.p.tiStopEmerg  configure -command { entry_stuff_0_1 b10594 "Stop Emergency Wash"   10598 " YES "   " NO " } }

 catch { $w.p.tib10407  configure -command { entry_stuff_multi_ut 8407 8407 0 0 0 0 0 } }

 catch { $w.p.tiStartup   configure -command { entry_stuff_0_1 b10594 "Services Startup"           10607 " YES "   " NO " } }
 catch { $w.p.tiShutdown  configure -command { entry_stuff_0_1 b10594 "Services Shutdown"	   10608 " YES "   " NO " } }
 catch { $w.p.tiV_Pumps   configure -command { entry_stuff_0_1 b10594 "Vacuum Pumps P10, P13, P14" 10609 " START "   " STOP " } }

 catch { $w.p.tib10156    configure -command { entry_pump_hand_auto_bip  10156 10599 10160 "P1" "PUMP: P1"   } }
 catch { $w.p.tib10177    configure -command { entry_pump_hand_auto_bip  10177 10600 10181 "P2" "PUMP: P2"   } }
